diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c9179ec..7c23bcf 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -140603,7 +140603,7 @@ SubResultantPackage(R, UP): Exports == Implementation where
       primitivePart(p, q) ==
          rec := extendedEuclidean(leadingCoefficient p, q,
                                   1)::Record(coef1:R, coef2:R)
-         unitCanonical primitivePart map((rec.coef1 * #1) rem q, p)
+         unitCanonical primitivePart map(x1 +-> (rec.coef1 * x1) rem q, p)
  
     subresultantVector(p1, p2) ==
        F : UP -- auxiliary stuff !
diff --git a/changelog b/changelog
index e646df7..8475823 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090621 tpd src/axiom-website/patches.html 20090621.09.tpd.patch
+20090621 tpd books/bookvol10.4 SUBRESP +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.08.tpd.patch
 20090621 tpd src/input/Makefile.pamphlet add spline.input
 20090621 tpd src/input/spline.input explain how to compute 2D splines
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6091af8..32e68d0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1633,5 +1633,7 @@ bookvol10.4 STTAYLOR +-> conversion<br/>
 bookvol10.4 STTF +-> conversion<br/>
 <a href="patches/20090621.08.tpd.patch">20090621.08.tpd.patch</a>
 spline.input explain how to compute 2D splines<br/>
+<a href="patches/20090621.09.tpd.patch">20090621.09.tpd.patch</a>
+bookvol10.4 SUBRESP +-> conversion<br/>
  </body>
 </html>
